Name:		dino
Version:	0.5.0
Release:	%mkrel 1
Group:		Networking/Chat
License:	GPLv3
Summary:	Modern XMPP ("Jabber") Chat Client using GTK+/Vala
URL:		https://github.com/dino/dino
Source0:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz
Source1:	%{url}/releases/download/v%{version}/dino-%{version}.tar.gz.asc
BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	vala
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(gpgme)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gstreamermm-1.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libomemo-c)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libsrtp2)
BuildRequires:	pkgconfig(nice)
BuildRequires:	pkgconfig(webrtc-audio-processing-1)

Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-vp8

%description
A modern XMPP ("Jabber") chat client using GTK+/Vala.

%prep
%autosetup -p1

%build
%meson -D plugin-rtp-vp9=enabled \
       -D plugin-rtp-msdk=enabled \
       -D plugin-rtp-vaapi=enabled \
       -D plugin-rtp-h264=enabled \
       -D plugin-notification-sound=enabled
%meson_build

%install
%meson_install

%find_lang %{name}
%find_lang %{name}-omemo
%find_lang %{name}-openpgp

# we don't want devel/headers files
rm -rf %{buildroot}%{_includedir}/*.h
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_datadir}/vala/

%check
%meson_test

%files -f %{name}.lang -f %{name}-omemo.lang -f %{name}-openpgp.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/im.%{name}.Dino.desktop
%{_datadir}/dbus-1/services/im.%{name}.Dino.service
%{_iconsdir}/hicolor/scalable/apps/im.%{name}.Dino.svg
%{_iconsdir}/hicolor/symbolic/apps/im.%{name}.Dino-symbolic.svg
%{_metainfodir}/im.%{name}.Dino.appdata.xml
%{_libdir}/%{name}/
%{_libdir}/libdino.so.0*
%{_libdir}/libqlite.so.0*
%{_libdir}/libxmpp-vala.so.0*
%{_libdir}/libcrypto-vala.so.0*


%changelog
* Mon May 05 2025 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2181238
- new version: 0.5.0
- switch to meson build system
- switch to webrtc-audio-processing-1

* Tue Feb 25 2025 daviddavid <daviddavid> 0.4.5-1.mga10
+ Revision: 2152109
- new version: 0.4.5

* Sun Jan 12 2025 wally <wally> 0.4.4-3.mga10
+ Revision: 2138347
- rebuild for icu 76.1

* Mon Sep 09 2024 daviddavid <daviddavid> 0.4.4-2.mga10
+ Revision: 2094576
- add missing runtime dependencies on gstreamer1.0-vp8 and gstreamer1.0-plugins-good

* Tue Jul 02 2024 daviddavid <daviddavid> 0.4.4-1.mga10
+ Revision: 2078801
- new version: 0.4.4

* Thu Apr 04 2024 daviddavid <daviddavid> 0.4.3-3.mga10
+ Revision: 2054310
- backport upstream patch to fix build with GCC14

* Tue Oct 10 2023 daviddavid <daviddavid> 0.4.3-2.mga10
+ Revision: 1994145
- switch to Gtk4
- rebuild for icu73

* Mon Aug 28 2023 daviddavid <daviddavid> 0.4.3-1.mga10
+ Revision: 1980328
- new version: 0.4.3

* Fri Mar 24 2023 daviddavid <daviddavid> 0.4.2-1.mga9
+ Revision: 1950282
- new version: 0.4.2, fixes CVE-2023-28686 (mga#31726)

* Fri Mar 10 2023 daviddavid <daviddavid> 0.4.1-1.mga9
+ Revision: 1948550
- new version: 0.4.1

* Mon Feb 13 2023 daviddavid <daviddavid> 0.4.0-1.mga9
+ Revision: 1941294
- new version: 0.4.0

* Sat Jan 07 2023 squidf <squidf> 0.3.1-2.mga9
+ Revision: 1931112
- Mass rebuild for icu 72.1

* Fri Nov 04 2022 wally <wally> 0.3.1-1.mga9
+ Revision: 1902923
- new version 0.3.1
- build with libsoup3 (mga#31073)

* Wed Oct 26 2022 ghibo <ghibo> 0.3.0-3.mga9
+ Revision: 1899503
- Rebuild against fresh (mga9) webrt-audio-processing

* Sat Jun 18 2022 squidf <squidf> 0.3.0-2.mga9
+ Revision: 1864848
- rebuild for icu 71.1

* Sat Apr 23 2022 papoteur <papoteur> 0.3.0-1.mga9
+ Revision: 1852837
- Version 0.3.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 04 2021 luigiwalser <luigiwalser> 0.2.1-1.mga9
+ Revision: 1739288
- 0.2.1 (fixes CVE-2021-33896)
- rebuild for icu

* Fri Jan 22 2021 daviddavid <daviddavid> 0.2.0-1.mga8
+ Revision: 1672820
- initial package dino

